<!DOCTYPE html>
<html>
<head></head>
<body>
<div th:fragment="content" th:remove="tag">
    <form id="formPersonalData" th:action="@{/profile}" method="post" th:object="${personalDataProfile}">
        <div class="form-group">
            <label for="firstName">Nama Depan (Sesuai KTP)</label>
            <input id="firstName" th:field="*{firstName}" name="firstName" placeholder="Nama Depan" type="text"
                   class="form-control">
        </div>
        <div class="form-group">
            <label for="lastName">Nama Belakang (Sesuai KTP)</label>
            <input id="lastName" th:field="*{lastName}" name="lastName" type="text" class="form-control">
        </div>
        <div class="form-group">
            <label>Jenis Kelamin</label>
            <div>
                <select th:field="*{gender.id}" class="form-control">
                    <option th:each="dataCbx : ${genderList}" th:value="${dataCbx.id}" th:text="${dataCbx.label}"
                            th:selected="${dataCbx.id==gender?.id}"></option>
                </select>
            </div>
        </div>
        <div class="form-group">
            <label for="birthOfPlace">Tempat Lahir</label>
            <input id="birthOfPlace" name="birthOfPlace" type="text" class="form-control">
        </div>
        <div class="form-group">
            <label for="birthOfDate">Tanggal Lahir</label>
            <input id="birthOfDate" name="birthOfDate" type="text" class="form-control">
        </div>
        <div class="form-group">
            <label for="nationalityId">Kewarganegaraan</label>
            <div>
                <select th:field="*{nationality.id}" class="form-control">
                    <option th:each="dataCbx : ${nationalityList}" th:value="${dataCbx.id}" th:text="${dataCbx.label}"
                            th:selected="${dataCbx.id==nationality?.id}"></option>
                </select>
            </div>
        </div>
        <div class="form-group">
            <label for="maritalStatusId">Status Pernikahan</label>
            <select th:field="*{maritalStatus.id}" class="form-control">
                <option th:each="dataCbx : ${maritalStatusList}" th:value="${dataCbx.id}" th:text="${dataCbx.label}"
                        th:selected="${dataCbx.id==maritalStatus?.id}"></option>
            </select>
        </div>
        <div class="form-group">
            <label for="profilBackground">Latar Belakang</label>
            <textarea id="profilBackground" name="profilBackground" cols="40" rows="5" class="form-control"
                      minlength="4" maxlength="32" required autocomplete="off" data-parsley-required-message="This text field is required! (custom message)" data-parsley-error-message="Error : my custom error message"
            ></textarea>
        </div>
        <div class="form-group">
            <label for="phoneNumber">Nomor Handphone</label>
            <input id="phoneNumber" name="phoneNumber" type="text" class="form-control">
        </div>
        <div class="form-group">
            <label for="landlineNumber">No Telepon Rumah</label>
            <input id="landlineNumber" name="landlineNumber" type="text" class="form-control">
        </div>
        <div class="form-group">
            <label for="idCardAddress">Alamat (Sesuai KTP)</label>
            <textarea id="idCardAddress" name="idCardAddress" cols="40" rows="5" class="form-control"></textarea>
        </div>
        <div class="form-group">
            <label for="idCardProvince">Provinsi</label>
            <div>
                <select th:field="*{idCardProvince.id}" class="form-control">
                    <option th:each="dataCbx : ${provinceList}" th:value="${dataCbx.id}" th:text="${dataCbx.label}"
                            th:selected="${dataCbx.id==idCardProvince?.id}"></option>
                </select>
            </div>
        </div>
        <div class="form-group">
            <label for="idCardCity">Kota/Kabupaten</label>
            <div>
                <select th:field="*{idCardCity.id}" class="form-control">
                    <option th:each="dataCbx : ${idCardCityList}" th:value="${dataCbx.id}" th:text="${dataCbx.label}"
                            th:selected="${dataCbx.id==idCardCity?.id}"></option>
                </select>
            </div>
        </div>
        <div class="form-group">
            <label for="idCardSubDistrict">Kecamatan</label>
            <div>
                <select th:field="*{idCardSubDistrict.id}" class="form-control">
                    <option th:each="dataCbx : ${idCardSubDistrictList}" th:value="${dataCbx.id}" th:text="${dataCbx.label}"
                            th:selected="${dataCbx.id==idCardSubDistrict?.id}"></option>
                </select>
            </div>
        </div>
        <div class="form-group">
            <label for="idCardUrbanVillage">Kelurahan</label>
            <input id="idCardUrbanVillage" name="idCardUrbanVillage" type="text" class="form-control">
        </div>
        <div class="form-group">
            <label for="idCardRT">RT</label>
            <input id="idCardRT" name="idCardRT" type="text" class="form-control">
        </div>
        <div class="form-group">
            <label for="idCardRW">RW</label>
            <input id="idCardRW" name="idCardRW" type="text" class="form-control">
        </div>
        <div class="form-group">
            <label for="homeAddress">Alamat</label>
            <textarea id="homeAddress" name="homeAddress" cols="40" rows="5" class="form-control"></textarea>
        </div>
        <div class="form-group">
            <label for="homeProvince">Provinsi</label>
            <div>
                <select th:field="*{homeProvince.id}" class="form-control">
                    <option th:each="dataCbx : ${provinceList}" th:value="${dataCbx.id}" th:text="${dataCbx.label}"
                            th:selected="${dataCbx.id==homeProvince?.id}"></option>
                </select>
            </div>
        </div>
        <div class="form-group">
            <label for="homeCity">Kota/Kabupaten</label>
            <div>
                <select th:field="*{homeCity.id}" class="form-control">
                    <option th:each="dataCbx : ${homeCityList}" th:value="${dataCbx.id}" th:text="${dataCbx.label}"
                            th:selected="${dataCbx.id==homeCity?.id}"></option>
                </select>
            </div>
        </div>
        <div class="form-group">
            <label for="homeSubDistrict">Kecamatan</label>
            <div>
                <select th:field="*{homeSubDistrict.id}" class="form-control">
                    <option th:each="dataCbx : ${homeSubDistrictList}" th:value="${dataCbx.id}" th:text="${dataCbx.label}"
                            th:selected="${dataCbx.id==homeSubDistrict?.id}"></option>
                </select>
            </div>
        </div>
        <div class="form-group">
            <label for="homeUrbanVillage">Kelurahan</label>
            <input id="homeUrbanVillage" name="homeUrbanVillage" type="text" class="form-control">
        </div>
        <div class="form-group">
            <label for="homeRT">RT</label>
            <input id="homeRT" name="homeRT" type="text" class="form-control">
        </div>
        <div class="form-group">
            <label for="homeRW">RW</label>
            <input id="homeRW" name="homeRW" type="text" class="form-control">
        </div>
        <div class="form-group">
            <button name="submit" type="submit" class="btn btn-primary">Submit</button>
        </div>
    </form>
</div>
<div th:fragment="script" th:remove="tag">
    <script>
        $(document).ready(function(){
             $("#formPersonalData").parsley({
               errorClass: 'is-invalid text-danger',
               successClass: 'is-valid',
               errorsWrapper: '<span class="form-text text-danger"></span>',
               errorTemplate: '<span></span>',
               trigger: 'change'
             });
             $('#formPersonalData').submit(function() {
                $(this).ajaxSubmit(optionsPersonalData);
                return false;
            });
        });
        var optionsPersonalData = {
            beforeSubmit:  showRequestPersonalData,  // pre-submit callback
            success:       showResponsePersonalData  // post-submit callback
        }
        function showRequestPersonalData(formData, jqForm, options) {
            return true;
        }
        function showResponsePersonalData(responseText, statusText, xhr, $form)  {
            alert('status: ' + statusText + '\n\nresponseText: \n' + "tes" +
                '\n\nThe output div should have already been updated with the responseText.');
        }
    </script>
</div>
</body>
</html>